$(function() {
    $('.act_btn').click(function() {
        $('.menu_wrp').toggleClass('active_menu');
    });

    $('.menu_wrp a').click(function() {
        $('.menu_wrp').toggleClass('active_menu');
        $('.menu_btn').toggleClass('menu_btn_active');
    });

    $('.act_btn').click(function() {
        $('.menu_btn').toggleClass('menu_btn_active');
    });
});


$(function() {
    $('#language-selected').click(function() {
        $('#language').toggleClass('language-active');
    });
});

function PathRepeat() {
    var path = document.getElementById('path__repeat');
    var pathFinal = document.getElementById('path_final');
    if (!!!path || !!!pathFinal) {
        return;
    }
    path.style.height = Math.floor(pathFinal.getBoundingClientRect().top - path.getBoundingClientRect().bottom) + "px";
}

function WhoPathRepeat() {
    var whoPathRepeat = document.getElementById('who__path_repeat');
    var whoPath = document.getElementById('who__path_1');
    if (!!!whoPathRepeat || !!!whoPath) {
        return;
    }
    console.log(whoPath.getBoundingClientRect().bottom);
    console.log(whoPathRepeat.getBoundingClientRect().top);
    whoPathRepeat.style.height = Math.floor(whoPathRepeat.getBoundingClientRect().bottom - whoPath.getBoundingClientRect().bottom) + "px";
}



window.addEventListener('DOMContentLoaded', function() {
    wow.init();
});

window.addEventListener('load', function() {
    PathRepeat(WhoPathRepeat, 500);
    setTimeout(WhoPathRepeat, 500);
});

var wow = new WOW({
    boxClass: 'wow', // animated element css class (default is wow)
    animateClass: 'animated', // animation css class (default is animated)
    offset: 0, // distance to the element when triggering the animation (default is 0)
    mobile: true, // trigger animations on mobile devices (default is true)
    live: true, // act on asynchronously loaded content (default is true)
    callback: function(box) {
        // the callback is fired every time an animation is started
        // the argument that is passed in is the DOM node being animated
    },
    scrollContainer: null // optional scroll container selector, otherwise use window
});



(function() {
    var sum = document.getElementById("form-block__sum"),
        plan = document.getElementById("form-block__plan"),
        total = document.getElementById("form-block__total"),
        profit = document.getElementById("form-block__profit"),
        selectedVal;
    if (!!!sum || !!!plan || !!!total || !!!profit) {
        return;
    }
    sum.addEventListener('input', function() {
        CalcProfit();
    });
    plan.addEventListener('change', function() {
        CalcProfit();
    });

    function CalcProfit() {
        selectedVal = (plan.options[plan.selectedIndex].value).toLowerCase();
        console.log(selectedVal);
        if (selectedVal == "crypto") {
            profit.value = "135%";
            total.value = sum.value * 1.35;
            CardActiv("card-marabu");
        } else if (selectedVal == "ico") {
            profit.value = "162%";
            total.value = sum.value * 1.62;
            CardActiv("card-navigar");
        } else if (selectedVal == "masternodes") {
            profit.value = "108%";
            total.value = sum.value * 1.08;
            CardActiv("card-oculus");
        }
    }

    function CardActiv(el) {
        var card = document.querySelectorAll(".card");
        if (!!!card) {
            return;
        }
        for (var i = 0; i < card.length; i++) {
            card[i].classList.remove("card-active");
        }
        var actEl = document.getElementById(el);
        console.log(actEl);
        actEl.classList.add("card-active");
    }

})();




(function() {
    var chekRule1 = "Вы должны подтвердить условие соглашения";
    var postbut = document.getElementById("form-reg");
    if (!!!document.getElementById("form-reg") || !!!document.getElementById("checkbox__rules")) {
        return false;
    }

    postbut.addEventListener("submit", function(e) {
        if (!($("#checkbox__rules").prop("checked"))) {
            alert(chekRule1);
            e.preventDefault();
            return false;
        }
    });
})();





// lk
(function() {
    var plan = document.getElementById("investment__title"),
        sum = document.getElementById("investment__sum"),
        period = document.getElementById("investment__period"),
        marabu = document.getElementById("plan-marabu"),
        navigar = document.getElementById("plan-navigar"),
        oculus = document.getElementById("plan-oculus"),
        systemList = document.getElementsByName('system'),
        payCur = document.getElementById("pay-cur"),
        selectedVal;
    if (!!!sum || !!!plan || !(systemList.length > 0)) {
        return;
    }
    marabu.addEventListener('change', function() {
        CalcPlan("marabu");
    });
    navigar.addEventListener('change', function() {
        CalcPlan("navigar");
    });
    oculus.addEventListener('change', function() {
        CalcPlan("oculus");
    });

    for (var l = 0; l < systemList.length; l++) {
        systemList[l].onchange = function(e) {
            if (!!!payCur) {
                return;
            }
            if (e.target.value == "pm") {
                payCur.innerHTML = "USD";
            } else if (e.target.value == "ac") {
                payCur.innerHTML = "USD";
            } else if (e.target.value == "pr") {
                payCur.innerHTML = "USD";
            } else if (e.target.value == "bc") {
                payCur.innerHTML = "BTC";
            }
        };
    }



    document.getElementById("enter-sum").addEventListener('keypress', function(event) {
        event = event || window.event;
        if (event.charCode && (event.charCode < 48 || event.charCode > 57)) { // check event.charCode bkp, arr
            event.preventDefault();
            return false;
        }
    });

    function CalcPlan(el) {
        selectedVal = el;
        if (selectedVal == "marabu") {
            sum.innerHTML = "130";
            plan.innerHTML = "Marabu";
            period.innerHTML = "Через 15 дней";
        } else if (selectedVal == "navigar") {
            sum.innerHTML = "153";
            plan.innerHTML = "Navigar";
            period.innerHTML = "Каждые 24 часа <br>  в течении 30 дней";
        } else if (selectedVal == "oculus") {
            sum.innerHTML = "102";
            plan.innerHTML = "Oculus";
            period.innerHTML = "Каждые 4 часа <br>  в течении 10 дней";
        }
    }

})();



// withdrawal lk
(function() {
    var sum = document.getElementById("pay__sum"),
        commission = document.getElementById("pay__commission"),
        enter = document.getElementById("enter-sum"),
        systemList = document.getElementsByName('system'),
        currencyList = document.getElementsByClassName('id-pay__currency'),
        percent = 0;

    // Проценты платежных систем
    var commissionPm = 0.005,
        commissionAc = 0,
        commissionPr = 0.02,
        commissionBc = 0.04;
    if (!!!sum || !!!commission || !!!enter || !(systemList.length > 0)) {
        return;
    }

    enter.addEventListener('keypress', function(event) {
        event = event || window.event;
        if (event.charCode && (event.charCode < 48 || event.charCode > 57)) {
            event.preventDefault();
            return false;
        }
    });


    enter.addEventListener('input', function() {
        CalcSum(enter.value);
    });

    for (var l = 0; l < systemList.length; l++) {
        systemList[l].onchange = function() {
            CalcSum(enter.value);
        };
    }

    function chekPay() {
        var percent = 0;

        if (!!!systemList) {
            return percent;
        }
        for (var i = 0; i < systemList.length; i++) {
            var radio = systemList[i];
            if (radio.type == "radio" && radio.checked) {
                if (radio.value == "pm") {
                    percent = commissionPm;
                    // payCurrency.innerHTML = "USD";
                    CurrencyChange("USD");
                } else if (radio.value == "ac") {
                    percent = commissionAc;
                    // payCurrency.innerHTML = "USD";
                    CurrencyChange("USD");
                } else if (radio.value == "pr") {
                    percent = commissionPr;
                    // payCurrency.innerHTML = "USD";
                    CurrencyChange("USD");
                } else if (radio.value == "bc") {
                    percent = commissionBc;
                    // payCurrency.innerHTML = "BTC";
                    CurrencyChange("BTC");
                }
                return percent;
            }
        }
    }

    // chekpay
    function CalcSum(el) {
        el = Math.trunc(el);
        percent = chekPay();
        sum.innerHTML = (el + (el * percent)).toFixed(2);
        commission.innerHTML = (el * percent).toFixed(2);
    }

    // cha lang
    function CurrencyChange(currency) {
        if (!!currencyList) {
            for (var cur = 0; cur < currencyList.length; cur++) {
                currencyList[cur].innerHTML = currency;
            }
        }
    }

})();